/**
 * This module makes the different routes created with react-chicane listen to the same history instance
 */
import { createPath, parsePath } from "history";
import { Location, Subscription } from "./types";
export declare const history: import("history").BrowserHistory;
export declare const subscribe: (subscription: Subscription) => (() => void);
export declare const useLocation: () => Location;
export declare const getCurrentLocation: () => Readonly<{
    url: string;
    path: readonly string[];
    search: Readonly<import("./types").Search>;
    hash?: string;
}>;
export declare const hasInitialLocationChanged: () => boolean;
export declare const resetInitialHasLocationChanged: () => void;
export { createPath, parsePath };
