import { Path as HistoryPath } from "history";
import { Location, Matcher, Params, Segment } from "./types";
export declare const getRankingAndSegments: (route: string) => {
    ranking: number;
    segments: Segment[];
};
export declare const getMatcher: (name: string, route: string) => Matcher;
export declare const extractLocationParams: (location: Location, matcher: Matcher) => Params | undefined;
export declare const matchAll: (location: Location, matchers: Matcher[]) => {
    name: string;
    params: Params;
}[];
export declare const match: (location: Location, matchers: Matcher[]) => {
    name: string;
    params: Params;
} | undefined;
export declare const matchToHistoryPath: (matcher: Matcher, params?: Params) => HistoryPath;
